/*
Sample Deployment script for autoconfiguration objects

v 2
*/

create database ssis_auto_configuration
go

use ssis_auto_configuration
go

create schema ssiscfg
go

--drop table [ssiscfg].[configuration]
--go

create table [ssiscfg].[configuration]
(
	[ConfigurationFilter] [nvarchar](255) not null,
	[ConfiguredValue] [nvarchar](1024) not null,
	[PackagePath] [nvarchar](1024) not null,
	[ConfiguredValueType] [nvarchar](20) not null
) 
go

alter table [ssiscfg].[configuration]
add [Checksum] as isnull(binary_checksum([ConfigurationFilter], [PackagePath]), 0)
go

alter table [ssiscfg].[configuration] 
add constraint pk__configuration primary key ([Checksum])
go
