﻿using System;
using System.Collections.Generic;
using System.Text;

namespace DTLoggedExec
{
    internal class AutoConfigurationData
    {
        private string _configurationString;
        public string ConfigurationString { 
            get { return _configurationString; } 
        }

        private string _sqlServerInstance;
        public string SqlServerInstance {
            get { return _sqlServerInstance; }
        }

        private string _database;
        public string Database { 
            get { return _database; } 
        }

        private string _table;
        public string Table {
            get { return _table; }
        }

        private AutoConfigurationData()
        {
        }

        public static AutoConfigurationData Load(string configurationString)
        {
            if (string.IsNullOrEmpty(configurationString)) return null;

            string[] autoConfigureSections = configurationString.Split(';');

            if (autoConfigureSections.GetLength(0) != 3) throw new ArgumentException("Auto Configuration data not in the expected format.");

            AutoConfigurationData acd = new AutoConfigurationData();
            acd._configurationString = configurationString;
            acd._sqlServerInstance = autoConfigureSections[0];
            acd._database = autoConfigureSections[1];
            acd._table = autoConfigureSections[2];

            return acd;
        }
    }
}
