using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SqlServer.Dts.Runtime;

namespace DTLoggedExec.LogProviders
{   
    /*
     * Log Provider interface
     */
    public interface ILogProvider: IDisposable
    {
        void ShowVersionInformation();
        void Configure(string configurationString);
        void SetExecutionGuid(Guid executionGuid);
        void SetPackageInfo(Uri packageUri);
        void LogEventData(string eventName, DtsObject dtsobj, string message);
        void LogStartPackageExecution(Package package);
        void LogEndPackageExecution(Package package, int warningCount, int errorCount, DTSExecResult result);
        void LogEndPackageExecution(Package package, int warningCount, int errorCount, DTSExecResult result, DtsException exception);
        void LogStartPackageLoading();
        void LogEndPackageLoading();
        void LogEndPackageLoading(Exception exception);
    }
}
